Bug 1270937 - "vagrant up" fails with the official Fedora 22 image due to biosdevname command not being present
"vagrant up" fails with the official Fedora 22 image due to biosdevname comma...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: vagrant (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Josef Stribny
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 13:34 EDT by Tadej Janež
Modified: 2016-01-04 00:54 EST (History)
5 users (show)

See Also:
Fixed In Version: vagrant-1.7.4-3.fc24 vagrant-1.7.4-2.fc23 vagrant-1.7.2-12.fc22 vagrant-1.7.2-10.fc21.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 15:55:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tadej Janež 2015-10-12 13:34:42 EDT
Description of problem:
Running "vagrant up" with an official Fedora 22 Vagrant image fails with:

"The following SSH command responded with a non-zero exit status.
Vagrant assumes that this means the command failed!

/usr/sbin/biosdevname --policy=all_ethN -i bash: /usr/sbin/biosdevname:
No such file or directory

Stdout from the command:

bash: /usr/sbin/biosdevname: No such file or directory"

Version-Release number of selected component (if applicable):
vagrant-1.7.2-9.fc21.1

I also tested this by using the latest upstream version, 1.7.4, and the same bug is still present.

How reproducible:
Always

Steps to Reproduce:
1. wget https://download.fedoraproject.org/pub/fedora/linux/releases/22/Cloud/x86_64/Images/Fedora-Cloud-Base-Vagrant-22-20150521.x86_64.vagrant-libvirt.box
2. vagrant box add Fedora-Cloud-Base-Vagrant-22-20150521.x86_64.vagrant-libvirt.box --name fedora-22
3. vagrant init fedora-22
4. vagrant up

Actual results:
"vagrant up" fails with the message pasted above.

Expected results:
"vagrant up" succeeds.

Additional info:
This has already been fixed in Vagrant upstream, we just need to backport the patch:
- https://github.com/mitchellh/vagrant/pull/6139
- https://github.com/mitchellh/vagrant/commit/ac05ce2431b79ff8dccd20e8538e9c73d5223c18
Comment 1 Fedora Update System 2015-10-14 06:36:02 EDT
vagrant-1.7.2-10.fc21.1 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f180a7f94c
Comment 2 Fedora Update System 2015-10-14 06:36:07 EDT
vagrant-1.7.4-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3fbee1c1ed
Comment 3 Josef Stribny 2015-10-14 06:37:52 EDT
Fixed in rawhide and fixes for f23, f22 and f21 submitted.
Comment 4 Tadej Janež 2015-10-14 07:22:20 EDT
(In reply to Josef Stribny from comment #3)
> Fixed in rawhide and fixes for f23, f22 and f21 submitted.

Josef, thanks for fixing this so quickly!
Comment 5 Fedora Update System 2015-10-14 18:53:09 EDT
vagrant-1.7.4-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update vagrant'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3fbee1c1ed
Comment 6 Fedora Update System 2015-10-15 01:21:12 EDT
vagrant-1.7.2-10.fc21.1 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update vagrant'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f180a7f94c
Comment 7 Fedora Update System 2015-10-15 01:52:16 EDT
vagrant-1.7.2-12.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update vagrant'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-4133d18934
Comment 8 Fedora End Of Life 2015-11-04 11:01:02 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora Update System 2015-11-04 15:54:59 EST
vagrant-1.7.4-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-11-04 17:23:47 EST
vagrant-1.7.2-12.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-11-04 17:51:17 EST
vagrant-1.7.2-10.fc21.1 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.